1

I have the following MWE:

\documentclass[12pt]{article}
\usepackage{arabtex}
\usepackage{polyglossia}

\setdefaultlanguage{french}
 \begin{document}

 \setarab
 \fullvocalize
 \transtrue
 \arabtrue

 \RL{kw}
 \end{document}

When I try to compile it, i get:

! LaTeX Error: Command \nobreakspace unavailable in encoding U.

See the LaTeX manual or LaTeX Companion for explanation.
Type  H <return>  for immediate help.
 ...                                              

 l.17  \RL{kw}

Some Arabic sequences are impossible to write when polyglossia is used in the preamble with the in-understandable message about \nobreakspace without more explanations.

So how can I conciliate polyglossia with arabtex packages?

  • Check out the arabxetex package (by the original author of polyglossia or use babel instead of polyglossia. – Alan Munn Feb 18 '18 at 23:05
  • Independently, this file produces no errors for me, so you might want to update your distribution or make sure you're not using an outdated local version of some package. – Alan Munn Feb 18 '18 at 23:32
0

It seams that the problem only occur with french as main language.

So, for the moment I bypass the bugg with :

{\selectlanguage{english} \RL{kw}}

But it’s ugly and a little bit hacky…

Note that it isn’t work with \setlanguage{arabic}.

  • 2
    You really should follow Alan Munn’s advice. What you’re trying to do won’t work, because arabtex is only for pdftex, whereas polyglossia is for xetex and luatex. – Thérèse Feb 18 '18 at 23:27
  • I was doing that, but I use arabtex with XeTeX for years. Anyway, I will read the documentation and come back. – fauve Feb 18 '18 at 23:29

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.